Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.helper
Class IntrospectionHelper

    java.lang.Object
      com.gisgraphy.helper.IntrospectionHelper

    public class IntrospectionHelper

extends Object

Inspect object and all subClass to retrieve the fields in order to be used by the `ProjectionBean`

Author:
  David Masclet
See Also:
  `IntrospectionIgnoredField`

Field Summary
`protected static org.slf4j.Logger` | `logger`

Constructor Summary
`IntrospectionHelper()`

Method Summary
`static void` | `clearCache()` clear the cache of introspected class
`static String[]` | `getFieldsAsArray(Class<?> clazz)`
`static List<String>` | `getFieldsAsList(Class<?> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

Constructor Detail

### IntrospectionHelper

    public IntrospectionHelper()

Method Detail

### clearCache

    public static void clearCache()

  clear the cache of introspected class

### getFieldsAsList

    public static List<String> getFieldsAsList(Class<?> clazz)

  Parameters:
    `clazz` - the class to inspect
  Returns:
    a list of all private fields of the specified class that are not :
    - Of type List
    - Annoted with `IntrospectionIgnoredField`
    - Synthetic
    The result of the method will be cached see http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Field.html

### getFieldsAsArray

    public static String[] getFieldsAsArray(Class<?> clazz)

  Parameters:
    `clazz` - the class to inspect
  Returns:
    an Array of all private fields of the specified class that are not :
    - Of type List
    - Annoted with `IntrospectionIgnoredField`
    - Synthetic
    - final
    The result of the method will be cached see http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Field.html

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.